Upgrading roundcube v6 to latest version

Discussion in 'Plugins/Modules/Addons' started by flyingscubakev, Apr 30, 2013.

  1. flyingscubakev

    flyingscubakev HowtoForge Supporter

    Hi,
    I installed roundcubemail on my ispconfig server back when it was at v6. Now after a bunch of ispconfig3 updates, I am having issues with password changes, autoreply and forwarding rules, giving me soap errors like "login_error_regex". Now I found a thread that said to add a line in the ispconf3_pass.php script and that worked. But I don't really want to spend hours trying to debug every other script for those errors when an upgrade may solve everything.

    My question is how do I actually upgrade the roundcube and it's plugins without blowing up my current running system (expecting that rouncubemail access is off during the upgrade). There seems to be many different "versions" of how to upgrade, and I'm a little confused as to which is the best.

    Thanks in advanced,
    Kevin
     
  2. Horfic

    Horfic Member

    Hi,
    the current versions of my plugins can be found here:
    http://bugs.web-wack.at/projects/isp3-roundcube

    They work with roundcube 0.8.x, didn't test them yet to roundcube 0.9 and I do know they did some internal changes, so I'm not sure yet how the new version is interacting with my plugins.

    Regards,
    Horfic
     
  3. flyingscubakev

    flyingscubakev HowtoForge Supporter

    Thanks for the reply.
    I did the full roundcube upgrade and then downloaded your plugins and everything seems to be working now. One minor bug. When I use the autoreply plugin, the popup calendar window does not work. I can enter data in the start and end date fields manually, but can't use the calendar to select the date/time.

    Great work, by the way.

    Kevin
     
  4. Horfic

    Horfic Member

    Did you activate the jquery plugin and but it infront of the ispconfig plugins? Which roundcube version are you using?

    PS: Thanks
     
  5. flyingscubakev

    flyingscubakev HowtoForge Supporter

    Sorry to trouble you, this wasn't working last night, but it is now for some reason. I haven't changed anything since I did the update last night!
    I am running v9 of roundcube (0.9.0) and yes I did activate the jquery in the plugins section. I don't know if this matters or not, but I don't have all of the plugins activated (didn't need them).

    Thanks again.
    Kevin
     
  6. Fluotonic

    Fluotonic Member

    Hi Kevin,

    How did you upgrade your RoundCube to the latest version? Di you follow a good tutorial to do so?

    On my end, I can't find a good one. I can't even find out which version I'm running right now... (yes, I'm pretty new to this).

    Thanks for your help ;-)
     

Share This Page